public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthew Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/puppet/
Date: Fri,  7 Apr 2023 15:23:38 +0000 (UTC)	[thread overview]
Message-ID: <1680880802.86ea5e46ff6bb3c2eb4f9f7b9ca24c95cb9230a5.prometheanfire@gentoo> (raw)

commit:     86ea5e46ff6bb3c2eb4f9f7b9ca24c95cb9230a5
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  7 15:20:02 2023 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Apr  7 15:20:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86ea5e46

app-admin/puppet: add 7.24.0

Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 app-admin/puppet/Manifest             |   1 +
 app-admin/puppet/puppet-7.24.0.ebuild | 131 ++++++++++++++++++++++++++++++++++
 2 files changed, 132 insertions(+)

diff --git a/app-admin/puppet/Manifest b/app-admin/puppet/Manifest
index 616ddef96389..50ded2b4b160 100644
--- a/app-admin/puppet/Manifest
+++ b/app-admin/puppet/Manifest
@@ -1,3 +1,4 @@
 DIST puppet-5.5.22.tar.gz 2998132 BLAKE2B 8662c89190d0904fe44ffeca1cf9a9ddca40d57ba6fb2d1e644ca353ceb55b1ca3a91416f1eef2975233c9c4498784e7d7280c111ea0cc070870cadc69341d99 SHA512 5332b084a63bdf244672cc4751022c84a1cc50d3f394a13bdcbccf7fcf4ebea67953e88957f23046608bf25e9182548449be824c18289cb2bf1e3ed29b40dc58
 DIST puppet-7.21.0.tar.gz 2819997 BLAKE2B 96de8ceefeea12c51288e05af5d7b126811d23388492053b0d581856f11976f0492064eb89bc585ff7f455df537d5c04fb318814945a158d531d32efdd54ff02 SHA512 b0fbdf63391054d0496c67be963f98e3d85e3a1536e50d6a3f09d0c49110bb4c92bebdc38a48cd50e824e27268150cda0643c6df0edb01b3587f00a591645ee6
 DIST puppet-7.23.0.tar.gz 2820654 BLAKE2B c9e2b544400c7fa9e59dd1d40bf89d1444ee62664b11e7aafa30aecd5fd14aa217dfe0bc24795a951c5e04b04762adb0239f6d7289b431b8f2a040716e95c642 SHA512 a66ef2bdbe38741a176e825cf7cdf117616459548731d4f5482b49263b08dcb3550305e5f0e35d228f873b330b730b682c02d38b4243f5f8bb4a190ed0f60310
+DIST puppet-7.24.0.tar.gz 2823083 BLAKE2B f4a3862153a01b1d5ce1cc9d72a2446d91346c5e8ed762f8aeae260a67bd583c277cd4ea0f207021057d40c69078add06af88978522706dea59796bdd6071070 SHA512 bb881e7523fce72ca8941d363ebc12f0172aff61a28d49465b7977fdf0d004575f5677fad3f0858db109b1cf85e4d870becdaa7c6687db32eb6eecf849ed25e9

diff --git a/app-admin/puppet/puppet-7.24.0.ebuild b/app-admin/puppet/puppet-7.24.0.ebuild
new file mode 100644
index 000000000000..82ff7c0a5640
--- /dev/null
+++ b/app-admin/puppet/puppet-7.24.0.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+USE_RUBY="ruby27 ruby30 ruby31"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC="doc:all"
+RUBY_FAKEGEM_EXTRAINSTALL="locales"
+
+inherit ruby-fakegem systemd tmpfiles
+
+DESCRIPTION="A system automation and configuration management software"
+HOMEPAGE="https://puppet.com/"
+SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
+IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
+RESTRICT="test"
+
+# <dev-ruby/concurrent-ruby-1.2 for bug #900206
+# - https://tickets.puppetlabs.com/browse/PUP-11722 (workaround, pinning)
+# - https://tickets.puppetlabs.com/browse/PUP-11723 (bug for fixing the pinning)
+ruby_add_rdepend "
+	dev-ruby/hiera
+	dev-ruby/json:=
+	dev-ruby/semantic_puppet
+	>=dev-ruby/facter-3.0.0
+	<dev-ruby/concurrent-ruby-1.2
+	augeas? ( dev-ruby/ruby-augeas )
+	diff? ( dev-ruby/diff-lcs )
+	doc? ( dev-ruby/rdoc )
+	ldap? ( dev-ruby/ruby-ldap )
+	shadow? ( dev-ruby/ruby-shadow )
+	sqlite? ( dev-ruby/sqlite3 )
+	virtual/ruby-ssl
+	dev-ruby/hocon"
+
+ruby_add_bdepend "
+	doc? ( dev-ruby/yard )
+	test? (
+		dev-ruby/mocha
+		dev-ruby/rack
+		dev-ruby/rspec-its
+	)"
+# this should go in the above lists, but isn't because of test deps not being keyworded
+#   dev-ruby/rspec-collection_matchers
+
+RDEPEND+=" ${RDEPEND}
+	rrdtool? ( >=net-analyzer/rrdtool-1.2.23[ruby] )
+	selinux? (
+		sys-libs/libselinux[ruby]
+		sec-policy/selinux-puppet
+	)
+	vim-syntax? ( >=app-vim/puppet-syntax-3.0.1 )
+	>=app-portage/eix-0.18.0
+	acct-user/puppet
+	acct-group/puppet"
+PDEPEND="emacs? ( >=app-emacs/puppet-mode-0.3-r1 )"
+
+all_ruby_prepare() {
+	# Avoid spec that require unpackaged json-schema.
+	rm spec/lib/matchers/json.rb $( grep -Rl matchers/json spec) || die
+
+	# fix systemd path
+	eapply -p0 "${FILESDIR}/puppet-systemd.patch"
+
+	# Avoid specs that can only run in the puppet.git repository. This
+	# should be narrowed down to the specific specs.
+	rm spec/integration/parser/compiler_spec.rb || die
+
+	# Avoid failing spec that need further investigation.
+	rm spec/unit/module_tool/metadata_spec.rb || die
+}
+
+each_ruby_install() {
+	each_fakegem_install
+#	dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" \
+#	"/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
+}
+
+all_ruby_install() {
+	all_fakegem_install
+
+	# systemd stuffs
+	systemd_dounit "${WORKDIR}/all/${P}/ext/systemd/puppet.service"
+
+	# tmpfiles stuff
+	newtmpfiles "${FILESDIR}/tmpfiles.d-2" "puppet.conf"
+
+	# openrc init stuff
+	newinitd "${FILESDIR}"/puppet.init puppet
+
+	keepdir /etc/puppetlabs/puppet/ssl
+
+	keepdir /var/lib/puppet/facts
+	keepdir /var/lib/puppet/files
+	fowners -R puppet:puppet /var/lib/puppet
+
+	fperms 0750 /var/lib/puppet
+
+	fperms 0750 /etc/puppetlabs
+	fperms 0750 /etc/puppetlabs/puppet
+	fperms 0750 /etc/puppetlabs/puppet/ssl
+	fowners -R :puppet /etc/puppetlabs
+	fowners -R :puppet /var/lib/puppet
+
+	# ext and examples files
+	for f in $(find ext examples -type f) ; do
+		docinto "$(dirname ${f})"
+		dodoc "${f}"
+	done
+}
+
+pkg_postinst() {
+	tmpfiles_process puppet.conf
+
+	elog
+	elog "Please, *don't* include the --ask option in EMERGE_EXTRA_OPTS as this could"
+	elog "cause puppet to hang while installing packages."
+	elog
+	elog "Portage Puppet module with Gentoo-specific resources:"
+	elog "http://forge.puppetlabs.com/gentoo/portage"
+	elog
+	elog "If updating from puppet 5 to 6, keep in mind that webrick (server/master)"
+	elog "suppert was removed for >=6.x, please migrate to puppetserver if you have"
+	elog "not already done so."
+	elog
+}


             reply	other threads:[~2023-04-07 15:23 UTC|newest]

Thread overview: 265+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-07 15:23 Matthew Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-26 15:16 [gentoo-commits] repo/gentoo:master commit in: app-admin/puppet/ Arthur Zamarin
2024-10-25 22:09 Sam James
2024-09-22 20:37 Matthew Thode
2024-09-22 20:37 Matthew Thode
2024-06-25  3:25 Sam James
2024-06-25  3:25 Sam James
2024-04-29 19:38 Matthew Thode
2024-04-29 19:38 Matthew Thode
2024-04-29 19:38 Matthew Thode
2024-04-29 19:38 Matthew Thode
2024-04-20 14:19 Matthew Thode
2024-04-07  4:21 Matthew Thode
2024-03-30  0:55 Matthew Thode
2024-03-18 16:01 Matthew Thode
2024-03-07 20:09 Matthew Thode
2024-03-01 19:11 Jakov Smolić
2024-03-01 16:46 Sam James
2024-02-29 20:01 Matthew Thode
2024-02-29 15:26 Matthew Thode
2024-02-18 23:10 Matthew Thode
2024-01-19  1:27 Matthew Thode
2024-01-19  1:24 Matthew Thode
2024-01-07 18:49 Matthew Thode
2023-12-17 17:45 Robin H. Johnson
2023-12-17 17:45 Robin H. Johnson
2023-12-07 23:59 Matthew Thode
2023-11-07 23:37 Matthew Thode
2023-10-27 13:25 Matthew Thode
2023-09-27 20:31 Matthew Thode
2023-08-27 15:52 Matthew Thode
2023-08-16 21:55 Matthew Thode
2023-07-16 15:54 Matthew Thode
2023-06-16 21:21 Matthew Thode
2023-06-08 21:18 Matthew Thode
2023-05-27 15:18 Matthew Thode
2023-05-12 16:10 Robin H. Johnson
2023-05-07 16:04 Matthew Thode
2023-04-28 16:11 Matthew Thode
2023-04-27  3:11 Matthew Thode
2023-04-10 10:20 Sam James
2023-04-07 15:23 Matthew Thode
2023-03-26  7:19 Hans de Graaff
2023-03-18  1:22 Sam James
2023-03-11 11:17 Hans de Graaff
2023-03-10 19:24 Matthew Thode
2023-02-11  3:53 Matthew Thode
2023-02-11  3:49 Matthew Thode
2023-01-10 20:33 Matthew Thode
2023-01-10 20:33 Matthew Thode
2023-01-10 20:33 Matthew Thode
2022-12-13 17:07 Matthew Thode
2022-12-10 18:49 Matthew Thode
2022-11-14 14:30 Matthew Thode
2022-11-13 21:25 Matthew Thode
2022-11-01  9:48 Yixun Lan
2022-10-12 21:54 Matthew Thode
2022-10-03  4:33 Matthew Thode
2022-09-15  0:20 Matthew Thode
2022-08-29  6:50 Hans de Graaff
2022-08-04 14:51 Matthew Thode
2022-08-03  1:42 Matthew Thode
2022-07-05  3:01 Matthew Thode
2022-06-19 14:47 Matthew Thode
2022-06-04 18:32 Matthew Thode
2022-05-26  4:43 Matthew Thode
2022-05-19 16:46 Matthew Thode
2022-04-25  3:39 Matthew Thode
2022-04-19 22:47 Matthew Thode
2022-04-12  9:38 Hans de Graaff
2022-03-25  1:40 Matthew Thode
2022-03-23  3:31 Matthew Thode
2022-02-22 19:47 Matthew Thode
2022-02-16  3:09 Matthew Thode
2022-01-26 18:40 Fabian Groffen
2022-01-23  0:59 Matthew Thode
2022-01-15 17:54 Matthew Thode
2021-12-14 17:54 Matthew Thode
2021-11-17 16:49 Matthew Thode
2021-11-14 20:44 Matthew Thode
2021-11-14  0:32 Robin H. Johnson
2021-10-27 13:58 Hans de Graaff
2021-10-20 15:34 Matthew Thode
2021-10-17 17:13 Matthew Thode
2021-10-14 19:01 Matthew Thode
2021-09-24 17:06 Matthew Thode
2021-09-20 21:34 Matthew Thode
2021-09-17 21:37 Matthew Thode
2021-08-24 16:00 Matthew Thode
2021-08-20 17:13 Matthew Thode
2021-07-31 22:17 Sam James
2021-07-31 22:17 Sam James
2021-07-24 20:26 Matthew Thode
2021-07-03 19:47 Matthew Thode
2021-07-03 19:47 Matthew Thode
2021-06-29  2:54 Matthew Thode
2021-06-25  5:55 Matthew Thode
2021-06-08  3:31 Matthew Thode
2021-06-02 15:46 Matthew Thode
2021-05-28 15:52 Matthew Thode
2021-04-27 18:12 Matthew Thode
2021-04-20  1:02 Matthew Thode
2021-03-22 16:28 Matthew Thode
2021-03-19 18:37 Matthew Thode
2021-03-09 17:17 Matthew Thode
2021-02-22 23:57 Matthew Thode
2021-02-09 22:52 Matthew Thode
2021-01-22 16:35 Matthew Thode
2021-01-19 17:14 Matthew Thode
2021-01-05 20:51 Sam James
2020-12-29 17:14 Sam James
2020-12-28  7:52 Hans de Graaff
2020-12-20  2:30 Matthew Thode
2020-11-22 23:08 Matthew Thode
2020-10-22 19:03 Matthew Thode
2020-10-21  5:50 Hans de Graaff
2020-09-27 21:06 Matthew Thode
2020-09-15 16:29 Matthew Thode
2020-08-27 18:59 Matthew Thode
2020-08-15 19:50 Matthew Thode
2020-07-16  6:47 Hans de Graaff
2020-07-15 19:44 Matthew Thode
2020-06-02  0:13 Matthew Thode
2020-05-02 18:18 Matthew Thode
2020-05-01  4:58 Hans de Graaff
2020-04-15  4:21 Hans de Graaff
2020-04-14 12:32 Agostino Sarubbo
2020-04-13 16:06 Agostino Sarubbo
2020-04-11 17:46 Matthew Thode
2020-03-19 20:27 Hans de Graaff
2020-03-19 20:27 Hans de Graaff
2020-03-11  7:16 Hans de Graaff
2020-03-11  5:03 Matthew Thode
2020-03-01  2:57 Matthew Thode
2020-02-21  1:30 Matthew Thode
2020-02-17 22:36 Matthew Thode
2020-02-17 22:36 Matthew Thode
2020-02-14  7:53 Hans de Graaff
2020-02-13  6:36 Hans de Graaff
2020-01-16 18:58 Hans de Graaff
2020-01-16 17:26 Matthew Thode
2020-01-10  1:26 Thomas Deutschmann
2020-01-06  9:34 Hans de Graaff
2019-12-22 18:39 Matthew Thode
2019-11-22 16:10 Matthew Thode
2019-11-03 20:21 Matthew Thode
2019-10-18 16:03 Matthew Thode
2019-10-18  4:20 Matthew Thode
2019-10-16  5:23 Hans de Graaff
2019-10-03 23:19 Matthew Thode
2019-09-23 15:31 Matthew Thode
2019-09-22 16:37 Matthew Thode
2019-09-20 21:07 Matthew Thode
2019-08-23 16:13 Matthew Thode
2019-07-27 18:14 Matthew Thode
2019-07-27 18:14 Matthew Thode
2019-07-27  7:05 Hans de Graaff
2019-07-24 15:30 Matthew Thode
2019-07-22 14:37 Matthew Thode
2019-07-02 15:44 Matthew Thode
2019-06-22 18:34 Matthew Thode
2019-05-30 15:05 Matthew Thode
2019-05-15 19:15 Matthew Thode
2019-05-01  0:15 Matthew Thode
2019-04-25 15:54 Matthew Thode
2019-04-17 19:43 Matthew Thode
2019-03-27  2:19 Matthew Thode
2019-03-26 15:54 Matthew Thode
2019-03-21 17:37 Matthew Thode
2019-02-28 16:22 Matthew Thode
2019-02-28 16:22 Matthew Thode
2019-02-21 21:50 Matthew Thode
2019-02-15 16:15 Matthew Thode
2019-01-29  3:34 Matthew Thode
2019-01-15 17:36 Matthew Thode
2019-01-15 17:36 Matthew Thode
2018-12-21  4:57 Matthew Thode
2018-12-19 19:43 Matthew Thode
2018-12-19 19:43 Matthew Thode
2018-11-30 17:02 Matthew Thode
2018-11-19 19:12 Matthew Thode
2018-11-02  2:36 Matthew Thode
2018-11-01 15:48 Matthew Thode
2018-10-24 22:12 Matthew Thode
2018-10-05 15:42 Matthew Thode
2018-10-02 20:40 Matthew Thode
2018-09-22 21:18 Matt Thode
2018-09-22 21:18 Matt Thode
2018-08-23 16:11 Matt Thode
2018-08-18  2:46 Matt Thode
2018-07-18 20:52 Matt Thode
2018-07-14 19:05 Hans de Graaff
2018-07-13  7:43 Matt Thode
2018-06-25 18:24 Hans de Graaff
2018-06-13 19:40 Matt Thode
2018-05-15 15:26 Matt Thode
2018-04-21  4:12 Matt Thode
2018-03-21 16:16 Matt Thode
2018-03-18 10:30 Sergei Trofimovich
2018-03-18 10:30 Sergei Trofimovich
2018-03-18 10:30 Sergei Trofimovich
2018-03-13 18:08 Markus Meier
2018-02-20  6:49 Hans de Graaff
2018-02-19  9:56 Hans de Graaff
2018-02-14 22:13 Matt Thode
2018-02-14 16:36 Matt Thode
2018-02-14  3:23 Matt Thode
2018-02-06 17:05 Matt Thode
2018-01-29  6:44 Hans de Graaff
2018-01-22 20:34 Hans de Graaff
2018-01-08 22:50 Thomas Deutschmann
2017-12-27 20:06 Sergei Trofimovich
2017-12-24  7:10 Hans de Graaff
2017-12-14 18:41 Thomas Deutschmann
2017-12-09 13:10 Sergei Trofimovich
2017-12-02  6:29 Hans de Graaff
2017-12-02  6:29 Hans de Graaff
2017-12-02  6:29 Hans de Graaff
2017-11-26 13:25 Hans de Graaff
2017-11-13  7:14 Matt Thode
2017-10-31 23:15 Matt Thode
2017-10-31 22:41 Sergei Trofimovich
2017-09-15  6:08 Hans de Graaff
2017-09-13 13:42 Fabian Groffen
2017-09-02  7:19 Hans de Graaff
2017-08-30 18:13 Fabian Groffen
2017-08-23 21:10 Matt Thode
2017-08-19 17:38 Matt Thode
2017-08-19 17:38 Matt Thode
2017-08-10 18:03 Matt Thode
2017-08-05 18:49 Hans de Graaff
2017-07-27 19:15 Matt Thode
2017-07-27 19:15 Matt Thode
2017-07-24  1:50 Matt Thode
2017-07-16  7:56 Hans de Graaff
2017-07-15  7:26 Hans de Graaff
2017-07-15  6:35 Hans de Graaff
2017-07-09 23:10 Matt Thode
2017-06-30 13:14 Hans de Graaff
2017-06-30  5:51 Hans de Graaff
2017-06-29  3:02 Matt Thode
2017-05-21  9:47 Agostino Sarubbo
2017-05-18 15:49 Matt Thode
2017-05-18 15:49 Matt Thode
2017-05-07  9:44 Hans de Graaff
2017-04-21  5:50 Hans de Graaff
2017-04-17  8:56 Hans de Graaff
2017-04-01 14:03 Agostino Sarubbo
2017-03-29  2:09 Jeroen Roovers
2017-02-04  8:35 Matt Thode
2016-11-30 18:29 Matt Thode
2016-11-25  9:13 Hans de Graaff
2016-11-13  8:33 Hans de Graaff
2016-11-13  8:33 Hans de Graaff
2016-10-31  6:49 Hans de Graaff
2016-10-10 15:33 Jeroen Roovers
2016-04-27 21:51 Matt Thode
2016-04-27 21:51 Matt Thode
2016-03-25  5:48 Matt Thode
2016-03-18 13:41 Matt Thode
2016-01-28  6:16 Matt Thode
2015-11-21  7:42 Hans de Graaff
2015-11-06  7:49 Matt Thode
2015-09-23 16:11 Matt Thode
2015-09-15 18:38 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680880802.86ea5e46ff6bb3c2eb4f9f7b9ca24c95cb9230a5.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox